<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
     let people = [
         {name: "bob", id: 1},
         {name: "alex", id: 3},
         {name: "john", id: 2},
         {name: "john", id: 3}
     ];

     let people_name = people.map(person => person.name)
     console.log(people_name);

     let counter = people_name.reduce((count, item)=> {
         count[item] = (count[item] || 0) + 1;
         return count
     },{});
    </script>
</body>
</html>